# -*- coding: utf-8 -*-
#
# Copyright 2009 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Tests for the Ubuntu SSO library."""

import os

from ubuntu_sso.keyring import get_token_name

APP_NAME = 'The Super App!'
CAPTCHA_ID = 'test'
CAPTCHA_PATH = os.path.abspath(os.path.join(os.curdir, 'ubuntu_sso', 'tests',
                                            'files', 'captcha.png'))
CAPTCHA_SOLUTION = 'william Byrd'
EMAIL = 'test@example.com'
EMAIL_TOKEN = 'B2Pgtf'
GTK_GUI_CLASS = 'UbuntuSSOClientGUI'
GTK_GUI_MODULE = 'ubuntu_sso.gtk.gui'
HELP_TEXT = """Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam sed
lorem nibh. Suspendisse gravida nulla non nunc suscipit pulvinar tempus ut
augue. Morbi consequat, ligula a elementum pretium, dolor nulla tempus metus,
sed viverra nisi risus non velit."""
NAME = 'Juanito Pérez'
PASSWORD = 'h3lloWorld'
PING_URL = 'http://localhost/ping-me/'
RESET_PASSWORD_TOKEN = '8G5Wtq'
TOKEN = {u'consumer_key': u'xQ7xDAz',
         u'consumer_secret': u'KzCJWCTNbbntwfyCKKjomJDzlgqxLy',
         u'token_name': u'test',
         u'token': u'GkInOfSMGwTXAUoVQwLUoPxElEEUdhsLVNTPhxHJDUIeHCPNEo',
         u'token_secret': u'qFYImEtlczPbsCnYyuwLoPDlPEnvNcIktZphPQklAWrvyfFMV'}
TOKEN_NAME = get_token_name(APP_NAME)
TC_URL = 'http://localhost/'
WINDOW_ID = 5
